image: node:latest
variables:
  PUBLIC_URL: /
# Cache node modules - speeds up future builds
cache:
  paths:
  - node_modules
stages:
- build
- deploy
build:
  stage: build
  script:
    - pnpm install # Install all dependencies
    - pnpm run build # Build for prod
  artifacts:
    paths:
    - build 
  only:
    - main # Only run on master branch

deploy_production:
  stage: deploy
  script:
    - echo "Deploying to server"